<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;

trait ReductionPropertyTrait
{
        /**
         * @ORM\Column(type="datetime", nullable=true)
         */
        protected $dateStart;

        /**
         * @ORM\Column(type="datetime", nullable=true)
         */
        protected $dateEnd;

        /**
         * @ORM\Column(type="boolean")
         */
        protected $permanent;


        public function getDateStart(): ?\DateTimeInterface
        {
                return $this->dateStart;
        }

        public function setDateStart(?\DateTimeInterface $dateStart): self
        {
                $this->dateStart = $dateStart;

                return $this;
        }

        public function getDateEnd(): ?\DateTimeInterface
        {
                return $this->dateEnd;
        }

        public function setDateEnd(?\DateTimeInterface $dateEnd): self
        {
                $this->dateEnd = $dateEnd;

                return $this;
        }

        public function getPermanent(): ?bool
        {
                return $this->permanent;
        }

        public function setPermanent(bool $permanent): self
        {
                $this->permanent = $permanent;

                return $this;
        }

}
